#ifndef CWORD_FILEIO_LOADED
#define CWORD_FILEIO_LOADED 1

#include "main.h"

/*
 *  PUBLIC function prototypes
 */

PUBLIC int cword_fileio_read_line (
	int			file_handle,
	char			*file_line,
	int			sizeof_file_line);

PUBLIC int cword_fileio_read_crossword (
	char			*input_file_spec,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_fileio_write_crossword (
	char			*output_file_spec,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_fileio_read_grid ( 
	char			*input_file_spec,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_fileio_write_grid ( 
	char			*output_file_spec,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_fileio_write_seeds (
	char			*output_file_spec,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_fileio_read_seeds (
	char			*input_file_spec,
        CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_fileio_read_crossword_top (
	char			*input_file_spec,
	char			*xrd_name_str,
	int			*x_dims,
	int			*y_dims,
	int			*clue_num);

PUBLIC int cword_fileio_read_grid_top (
	char			*input_file_spec,
	char			*grd_name_str,
	int			*x_dims,
	int			*y_dims,
	int			*clue_num,
	int			*symmetry,
	int			*grid_type);

#endif
