#ifndef CWORD_MEMMAN_LOADED
#define CWORD_MEMMAN_LOADED 1

#include "main.h"
#include "grid.h"
#include "anagram.h"

/*
 *  PUBLIC function prototypes for dynamic memory management.
 */

/*
 *  Function prototypes to control how memory for CROSSWORD_RECORD and
 *  CWORD_T_GRID_STRUCT are allocated.
 */

PUBLIC CROSSWORD_RECORD *cword_memman_make_crossword_rec ();

PUBLIC void cword_memman_free_cross_rec (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC CWORD_T_GRID_STRUCT *cword_memman_make_grid_rec ();

PUBLIC void cword_memman_free_grid_rec (
	CWORD_T_GRID_STRUCT	*grid_record);

PUBLIC CWORD_T_STR_LL *cword_memman_create_str_ll (
	int			sizeof_word);

PUBLIC BOOLEAN cword_memman_free_str_ll (
	CWORD_T_STR_LL          **word_ll);

#endif
