#ifndef CWORD_STATS_LOADED
#define CWORD_STATS_LOADED 1

#include "main.h"

PUBLIC int cword_stats_crosswrd_files_info (
	char			*file_spec);

PUBLIC int cword_stats_get_grid_type (
	char			*file_spec);

PUBLIC int cword_stats_get_symmetry (
	char			*file_spec);

PUBLIC BOOLEAN cword_stats_is_fully_speced (
	char			*file_spec);

PUBLIC int cword_stats_grid_files_info (
	char			*file_spec);

PUBLIC void cword_stats_get_grid_percents (
	CROSSWORD_RECORD	*crossword_record,
	int			*blanks,
	int			*unches,
	int			*checks);

PUBLIC int cword_stats_output_light_freq (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_stats_report_on_crossword (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_stats_report_on_grid (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC void cword_stats_get_clue_dist (
	CROSSWORD_RECORD	*crossword_record,
	CWORD_T_LENFREQ_STRUCT  light_freq);

PUBLIC int cword_stats_get_clue_sum_for (
	int			direction,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC unsigned short cword_stats_get_high_clue_num (
	int			direction_type,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC unsigned long cword_stats_get_file_size (
	char			*file_str);

PUBLIC int cword_stats_get_word_file_stats ();

PUBLIC int cword_stats_gen_clue_nums (
	CROSSWORD_RECORD	*crossword_record);

#endif
