$!  FACILITY :
$!
$!	cwordhck.com
$!
$!  ABSTRACT :
$!
$!      Simple DCL command file used to "hack" CWORD.EXE.  It is used when 
$!      working with only one source code module and messages.h.  Rather
$!      than having to recompile the whole application for a few messages, 
$!      this command file re-compiles the particular module involved, puts it 
$!      into the cword_olb library, and Bob's your uncle!
$!
$!      N.B. This will only work if the messages added to the messages .h 
$!      file are in the module being compiled in this command file.
$!
$!  AUTHORS :	
$!
$!	James A. Lundon			
$!
$!  CREATION DATE :
$!
$!	25 March 1994
$!
$  if p1 .eqs. "" 
$  then
$      write sys$output "Usage: @cwordhack [module name without extension]"
$      exit
$  endif
$!
$!  Search for .C or .SC before continuing
$!
$  if ( (f$locate (".C", p1) .ne. f$length(p1)) .or. (f$locate (".SC", p1) .ne. f$length(p1)) )
$  then
$      write sys$output "Usage: @cwordhack [module name without extension]"
$      exit
$  endif
$!
$!  if .C then do this else do the other :-)
$!
$  set verify
$  if (f$locate ("RDB", p1) .eq. f$length(p1))
$  then 
$      cc/decc/standard=vaxc /define=DB cword_s:'p1 /object=cword_o:'p1
$  else
$      scc/decc/standard=vaxc /define=DB cword_s:'p1 /object=cword_o:'p1
$  endif
$!
$  cc/decc/standard=vaxc /define=DB cword_s:messages/object=cword_o:messages
$  cc/decc/standard=vaxc /define=DB cword_s:main/object=cword_o:main
$  link /exe=cword_e:cword -
cword_o:main.obj, -
cword_o:print.obj, -
cword_o:rdb.obj, -
cword_o:grid.obj, -
cword_o:memman.obj, -
cword_o:utils.obj, -
cword_o:messages.obj, -
cword_o:fileio.obj, -
cword_o:match.obj, -
cword_o:verify.obj, -
cword_o:stats.obj, -
cword_o:soundex.obj, -
cword_o:word.obj, -
cword_o:vms.obj, -
cword_o:charui.obj, -
cword_o:webster.obj, -
cword_o:anagram.obj, -
cword_o:generate.obj, -
cword_o:defaults.obj, -
cword_o:clue.obj, -
cword_o:seed.obj, -
cword_o:breakdic.obj, -
cword_o:cl.obj, -
cword_o:strll.obj, -
cword_s:vmsdecc.opt/opt, -
cword_s:vmssql.opt/opt
$!
$!  exit
$!
$  set noverify
$  exit
