#ifndef CWORD_STRLL_LOADED
#define CWORD_STRLL_LOADED 1

#include "main.h"

#define SORTED   0X1	
#define UNSORTED 0X2
#define UNIQUE   0X4
#define MULTIPLE 0X8

/*
 *  cword_strll_add_str is only a variation of cword_strll_add_str_and_val with
 *  no value being attached to the string being inserted.
 */

#define cword_strll_add_str(option_mask, str, str_ll) cword_strll_add_str_and_val ( \
							    option_mask, \
							    (float) 0.0, \
							    str, \
							    str_ll)

PUBLIC int cword_strll_add_str_and_val (
	int			options_mask,
	float			add_str_val,
	char			*add_str,
	CWORD_T_STR_LL          **word_ll);

PUBLIC int cword_strll_del_str (
	char			*del_str,
	CWORD_T_STR_LL          **word_ll);

PUBLIC void cword_strll_free_str_ll (
	CWORD_T_STR_LL          **word_ll);

PUBLIC unsigned long cword_strll_number_str_ll (
	CWORD_T_STR_LL          *word_ll);

PUBLIC BOOLEAN cword_strll_is_str_in_str_ll (
	char			*check_str,
	CWORD_T_STR_LL          *word_ll);

PUBLIC BOOLEAN cword_strll_is_str_ll_empty (
	CWORD_T_STR_LL          *word_ll);

PUBLIC BOOLEAN cword_strll_goto_start_str_ll (
	CWORD_T_STR_LL          **word_ll);

PUBLIC BOOLEAN cword_strll_goto_end_str_ll (
	CWORD_T_STR_LL          **word_ll);

PUBLIC int cword_strll_output_str_ll (
	CWORD_T_STR_LL          *word_ll,
	int			per_line);

PUBLIC int cword_strll_output_twin_str_ll (
	CWORD_T_STR_LL		*double_ll,
	int			per_line);

#endif
