#ifndef CWORD_VERIFY_LOADED
#define CWORD_VERIFY_LOADED 1

#include "main.h"
#include "print.h"

PUBLIC int cword_verify_check_ximenes (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC BOOLEAN cword_verify_is_fully_speced (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_get_block_symm (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_get_barred_symm (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_get_grid_symmetry (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_get_letters_grid (
	CROSSWORD_RECORD	*crossword_record,
	CROSSWORD_GRID		letters_grid);

PUBLIC int cword_verify_get_block_props (
	CROSSWORD_RECORD	*crossword_record,
	CROSSWORD_GRID		blocked_grid);

PUBLIC int cword_verify_get_barred_props (
	CROSSWORD_RECORD	*crossword_record,
	CROSSWORD_GRID		barred_grid);

PUBLIC int cword_verify_check_letters (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_check_unches (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC BOOLEAN cword_verify_is_grid_connected (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_block_grid_defn (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_barred_grid_defn (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_american_grid_defn (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_novelty_grid_defn (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_verify_get_grid_type (
	CROSSWORD_RECORD	*crossword_record);

#endif
